Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.functions
Class Choose

    java.lang.Object
      org.apache.poi.hssf.record.formula.functions.Choose

All Implemented Interfaces:
  Function

    public final class Choose

extends java.lang.Object
implements Function

Author:
  Josh Micich

Constructor Summary
`Choose()`

Method Summary
`ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`
`static int` | `evaluateFirstArg(ValueEval arg0, int srcRowIndex, int srcColumnIndex)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Choose

    public Choose()

Method Detail

### evaluate

    public ValueEval evaluate(ValueEval[] args,
                              int srcRowIndex,
                              int srcColumnIndex)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

### evaluateFirstArg

    public static int evaluateFirstArg(ValueEval arg0,
                                       int srcRowIndex,
                                       int srcColumnIndex)
                                throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD